# $Revision: 1.23 $, $Date: 2006/11/26 20:24:18 $
%include	/usr/lib/rpm/macros.php
%define		_class		Console
%define		_subclass	Getargs
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - a command-line arguments parser
Summary(pl):	%{_pearname} - przetwarzanie argumentw linii polece
Name:		php-pear-%{_pearname}
Version:	1.3.4
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	30c90b46e41e023b7008c5f6306335aa
URL:		http://pear.php.net/package/Console_Getargs/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Console_Getargs package implements a Command Line arguments parser
that your CLI applications can use to parse arguments found in
$_SERVER['argv']. It performs some basic arguments validation and is
capable to return a formatted help text to the user, based on the
configuration it is given.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet Console_Getargs ma zaimplementowan obsug parsowania
argumentw linii polece, ktr mona uy w aplikacjach do
przetworzenia argumentw znalezionych w $_SERVER['argv']. Wykonuje
podstawowe sprawdzanie poprawnoci argumentw i jest w stanie zwrci
uytkownikowi sformatowany tekst pomocy na podstawie podanej
konfiguracji.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Console_Getargs.spec,v $
Revision 1.23  2006/11/26 20:24:18  glen
- 1.3.4

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/04/11 23:12:52  glen
- 1.3.1

Revision 1.20  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.19  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.16  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.15  2005/10/27 17:48:19  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.14  2005/10/05 18:31:31  glen
- rel 2

Revision 1.13  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.12  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.11  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.10  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.9  2005/09/19 21:43:39  glen
- integer BR

Revision 1.8  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.7.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.7.2.1  2005/09/18 18:55:51  glen
- use php-pear-build

Revision 1.7  2005/05/13 16:09:28  adamg
- updated to 1.3.0

Revision 1.6  2004/12/03 21:05:16  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.5  2004/11/18 19:18:06  adamg
- updated to 1.2.1

Revision 1.4  2004/10/30 06:39:42  adamg
- updated to 1.2.0

Revision 1.3  2004/10/01 19:59:52  adamg
- updated to 1.1.0

Revision 1.2  2004/06/02 00:48:24  ankry
- spaces->tabs, caps unified

Revision 1.1  2004/06/01 10:19:07  adamg
- new
